camel-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From davscl...@apache.org
Subject [camel] branch master updated: CAMEL-12433: Use same version of Infinispan as SB2 uses. Fix the itest.
Date Wed, 11 Apr 2018 12:26:07 GMT
This is an automated email from the ASF dual-hosted git repository.

davsclaus pushed a commit to branch master
in repository https://gitbox.apache.org/repos/asf/camel.git


The following commit(s) were added to refs/heads/master by this push:
     new 11996e0  CAMEL-12433: Use same version of Infinispan as SB2 uses. Fix the itest.
11996e0 is described below

commit 11996e06344cc989aeef2a2e9653d80f3a0f83d2
Author: Claus Ibsen <claus.ibsen@gmail.com>
AuthorDate: Wed Apr 11 14:25:53 2018 +0200

    CAMEL-12433: Use same version of Infinispan as SB2 uses. Fix the itest.
---
 parent/pom.xml                                                    | 4 ++--
 platforms/spring-boot/spring-boot-dm/pom.xml                      | 2 +-
 .../apache/camel/itest/springboot/util/ArquillianPackager.java    | 8 ++++----
 3 files changed, 7 insertions(+), 7 deletions(-)

diff --git a/parent/pom.xml b/parent/pom.xml
index 82434b5..949cf18 100644
--- a/parent/pom.xml
+++ b/parent/pom.xml
@@ -318,8 +318,8 @@
     <ibatis-version>2.3.4.726</ibatis-version>
     <ical4j-version>1.0.7</ical4j-version>
     <ignite-version>2.4.0</ignite-version>
-    <infinispan-version>9.2.1.Final</infinispan-version>
-    <infinispan-spring-boot-version>1.0.0.Final</infinispan-spring-boot-version>
+    <infinispan-version>9.1.7.Final</infinispan-version>
+    <infinispan-spring-boot-version>2.0.0.Beta1</infinispan-spring-boot-version>
     <influx-java-driver-version>2.9</influx-java-driver-version>
     <influx-java-driver-bundle-version>2.9_1</influx-java-driver-bundle-version>
     <influx-guava-version>20.0</influx-guava-version>
diff --git a/platforms/spring-boot/spring-boot-dm/pom.xml b/platforms/spring-boot/spring-boot-dm/pom.xml
index 38a3025..99a7e1e 100644
--- a/platforms/spring-boot/spring-boot-dm/pom.xml
+++ b/platforms/spring-boot/spring-boot-dm/pom.xml
@@ -53,7 +53,7 @@
     <google-guava-version>19.0</google-guava-version>
     <lucene3-version>3.6.0</lucene3-version>
     <hadoop2-version>2.7.4</hadoop2-version>
-    <infinispan-spring-boot-version>1.0.0.Final</infinispan-spring-boot-version>
+    <infinispan-spring-boot-version>2.0.0.Beta1</infinispan-spring-boot-version>
     <cassandra-driver-guava-version>18.0</cassandra-driver-guava-version>
     <groovy-version>2.4.15</groovy-version>
 
diff --git a/tests/camel-itest-spring-boot/src/test/java/org/apache/camel/itest/springboot/util/ArquillianPackager.java
b/tests/camel-itest-spring-boot/src/test/java/org/apache/camel/itest/springboot/util/ArquillianPackager.java
index 5895357..1570d56 100644
--- a/tests/camel-itest-spring-boot/src/test/java/org/apache/camel/itest/springboot/util/ArquillianPackager.java
+++ b/tests/camel-itest-spring-boot/src/test/java/org/apache/camel/itest/springboot/util/ArquillianPackager.java
@@ -325,10 +325,7 @@ public final class ArquillianPackager {
         ignore.add("org.ow2.asm"); // No problem
         ignore.add("org.codehaus.plexus");
         ignore.add("org.eclipse.jetty.websocket:websocket-api"); // PR to spring-boot
-        ignore.add("org.infinispan");
         ignore.add("org.jboss.arquillian.container");
-        ignore.add("org.jboss.logging");
-        ignore.add("org.jboss.marshalling");
         ignore.add("org.jboss:");
         ignore.add("org.hibernate:hibernate-validator"); // does not match with hibernate-core
         ignore.add("org.mortbay.jetty:servlet-api-2.5");
@@ -347,7 +344,6 @@ public final class ArquillianPackager {
         ignore.add("org.webjars"); // No problem
         ignore.add("stax:stax-api");
         ignore.add("xml-apis:xml-apis-ext");
-        ignore.add("org.infinispan");
         ignore.add("org.jboss.logging");
         ignore.add("org.jboss.marshalling");
 
@@ -600,6 +596,10 @@ public final class ArquillianPackager {
         if (version == null) {
             boolean testsLib = dependencyXml.contains("<classifier>tests");
             stripVersion = !testsLib && BOMResolver.getInstance(config).getBOMVersion(groupId,
artifactId) != null;
+            // skip if its org.infinispan as we need explict version to work-around a problem
when using test-jar dependencies
+            if ("org.infinispan".equals(groupId)) {
+                stripVersion = false;
+            }
         }
 
         if (version != null) {

-- 
To stop receiving notification emails like this one, please contact
davsclaus@apache.org.

Mime
View raw message